Bug 1766344 - Unable to register a machine with bonded primary interface
Summary: Unable to register a machine with bonded primary interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.6.0
Hardware: All
OS: All
high
urgent
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard: hotfix_delivered
: 1768335 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-28 19:36 UTC by Paul Dudley
Modified: 2020-09-20 13:16 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1769898 1791879 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:26:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26727 Urgent Closed Bond interfaces as primary nic create invalid records 2020-11-18 11:50:13 UTC
Github theforeman foreman pull 5989 'None' closed Fixes #24711 - primary virtual interface parsing support 2020-11-18 11:50:13 UTC
Github theforeman foreman pull 6933 'None' closed fixes #26727 - import host with bonded primary interface 2020-11-18 11:50:13 UTC
Red Hat Knowledge Base (Solution) 4548081 None None None 2019-11-10 03:20:33 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:12 UTC

Description Paul Dudley 2019-10-28 19:36:13 UTC
[root@client ~]# subscription-manager register --org ghost
Registering to: satellite.example.com:443/rhsm
Username: admin
Password: 
Environment: Library
Validation failed: Attached to can't be blank

Example # ip a from client system showing bonded primary interface:
───────┼──────────────────────────────────────────────────────────────────────
   1   │ 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN \    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
   2   │ 1: lo    inet 127.0.0.1/8 scope host lo
   3   │ 2: eth0: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond0 state UP qlen 1000\    link/ether fc:15:b4:24:d0:a0 brd ff:ff:ff:ff:ff:ff
   4   │ 3: eth1: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond0 state UP qlen 1000\    link/ether fc:15:b4:24:d0:a4 brd ff:ff:ff:ff:ff:ff
   5   │ 4: eth2: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000\    link/ether fc:15:b4:24:d0:a1 brd ff:ff:ff:ff:ff:ff
   6   │ 5: eth3: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000\    link/ether fc:15:b4:24:d0:a5 brd ff:ff:ff:ff:ff:ff
   7   │ 6: eth4: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000\    link/ether fc:15:b4:24:d0:a2 brd ff:ff:ff:ff:ff:ff
   8   │ 7: eth5: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000\    link/ether fc:15:b4:24:d0:a6 brd ff:ff:ff:ff:ff:ff
   9   │ 8: eth6: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000\    link/ether fc:15:b4:24:d0:a3 brd ff:ff:ff:ff:ff:ff
  10   │ 9: eth7: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000\    link/ether fc:15:b4:24:d0:a7 brd ff:ff:ff:ff:ff:ff
  11   │ 10: bond0: <BROADCAST,MULTICAST,MASTER,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP \    link/ether fc:15:b4:24:d0:a0 brd ff:ff:ff:ff:ff:ff
  12   │ 10: bond0    inet 192.168.1.1/24 brd 192.168.1.255 scope global bond0
───────┴───────────────────────────────────────────────────────────────────────

Upstream issue: https://projects.theforeman.org/issues/27280

Comment 6 wclark 2019-11-13 02:02:51 UTC
Hotfix RPM is available for Satellite 6.6.0. To install the hotfix:

1. Open a support case with Red Hat to obtain the hotfix RPM, which is too large to be provided as a bugzilla attachment

2. Take a backup or snapshot of your Satellite server

3. rpm -Uvh --nodeps /path/to/hotfix/rpm

4. systemctl restart httpd

Comment 7 Brad Buckingham 2019-11-14 15:53:54 UTC
*** Bug 1768335 has been marked as a duplicate of this bug. ***

Comment 23 errata-xmlrpc 2020-04-14 13:26:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.